exercise_04_15: exercise_04_15.o | .gitignore
	g++ $^ -o $@ 
exercise_04_15.ii: exercise_04_15.cpp
	g++ -E $^ -o $@

exercise_04_15.s: exercise_04_15.ii
	g++ -S $^ -o $@

exercise_04_15.o: exercise_04_15.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_04_15" > $@

clean:
	rm *.ii *.s *.o *.out exercise_04_15 .gitignore

test: exercise_04_15 
	@./exercise_04_15 < test.in > test.out
	@diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_15.ii exercise_04_15.s
.SECONDARY: exercise_04_15.ii exercise_04_15.s

